Bug 184699 - [exp-run] Convert bsd.cran.mk to Uses/cran.mk
[exp-run] Convert bsd.cran.mk to Uses/cran.mk
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: David Naylor
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-11 19:20 UTC by David Naylor
Modified: 2013-12-28 10:35 UTC (History)
0 users

See Also:


Attachments
file.diff (51.81 KB, patch)
2013-12-11 19:20 UTC, David Naylor
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Naylor freebsd_committer 2013-12-11 19:20:00 UTC
Convert bsd.cran.mk to Uses/cran.mk

Fix: Patch attached with submission follows:
Comment 1 Mark Linimon freebsd_committer 2013-12-11 22:59:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Over to maintainer(s).
Comment 2 Bryan Drewery freebsd_committer 2013-12-11 23:37:47 UTC
Responsible Changed
From-To: portmgr->bdrewery

take for exp-run
Comment 3 Bryan Drewery freebsd_committer 2013-12-24 04:20:27 UTC
I ran this and then discovered I messed up and had a bad dos2unix patch
in the tree still. So a lot failed. Rerunning now. Should have an update
in 17 hours.

-- 
Regards,
Bryan Drewery
Comment 4 Bryan Drewery freebsd_committer 2013-12-25 12:41:13 UTC
Only 1 R related failure:
http://package19.nyi.freebsd.org/bulk/91amd64-default-pr_184699/2013-12-24_04h30m46s/logs/errors/httpuv-1.2.0.log

All approved once you look into that.

-- 
Regards,
Bryan Drewery
Comment 5 Bryan Drewery freebsd_committer 2013-12-25 12:41:31 UTC
Responsible Changed
From-To: bdrewery->dbn

back to dbn
Comment 6 dfilter freebsd_committer 2013-12-28 10:29:10 UTC
Author: dbn
Date: Sat Dec 28 10:28:40 2013
New Revision: 337846
URL: http://svnweb.freebsd.org/changeset/ports/337846

Log:
  Convert Mk/bsd.cran.mk to the Uses framework.
  
  PR:		ports/184699
  Reviewed by:	bapt
  Approved by:	portmgr (bdrewery), wen (maintainer, timeout > 2 weeks)

Added:
  head/Mk/Uses/cran.mk
     - copied, changed from r337845, head/Mk/bsd.cran.mk
Deleted:
  head/Mk/bsd.cran.mk
Modified:
  head/Mk/bsd.port.mk
  head/astro/R-cran-maptools/Makefile
  head/converters/R-cran-RJSONIO/Makefile
  head/converters/R-cran-rjson/Makefile
  head/databases/R-cran-DBI/Makefile
  head/databases/R-cran-RMySQL/Makefile
  head/databases/R-cran-RSQLite.extfuns/Makefile
  head/databases/R-cran-RSQLite/Makefile
  head/databases/R-cran-sqldf/Makefile
  head/devel/R-cran-Defaults/Makefile
  head/devel/R-cran-Hmisc/Makefile
  head/devel/R-cran-RUnit/Makefile
  head/devel/R-cran-Rcpp/Makefile
  head/devel/R-cran-bitops/Makefile
  head/devel/R-cran-caTools/Makefile
  head/devel/R-cran-caret/Makefile
  head/devel/R-cran-chron/Makefile
  head/devel/R-cran-foreach/Makefile
  head/devel/R-cran-gbm/Makefile
  head/devel/R-cran-gdata/Makefile
  head/devel/R-cran-glmnet/Makefile
  head/devel/R-cran-gsubfn/Makefile
  head/devel/R-cran-gtools/Makefile
  head/devel/R-cran-iterators/Makefile
  head/devel/R-cran-itertools/Makefile
  head/devel/R-cran-memoise/Makefile
  head/devel/R-cran-plyr/Makefile
  head/devel/R-cran-proto/Makefile
  head/devel/R-cran-randomForest/Makefile
  head/devel/R-cran-reshape/Makefile
  head/devel/R-cran-reshape2/Makefile
  head/finance/R-cran-PerformanceAnalytics/Makefile
  head/finance/R-cran-RFinanceYJ/Makefile
  head/finance/R-cran-TTR/Makefile
  head/finance/R-cran-ccgarch/Makefile
  head/finance/R-cran-fBasics/Makefile
  head/finance/R-cran-fGarch/Makefile
  head/finance/R-cran-gmm/Makefile
  head/finance/R-cran-lmtest/Makefile
  head/finance/R-cran-plm/Makefile
  head/finance/R-cran-quantmod/Makefile
  head/finance/R-cran-strucchange/Makefile
  head/finance/R-cran-timeDate/Makefile
  head/finance/R-cran-timeSeries/Makefile
  head/finance/R-cran-tseries/Makefile
  head/finance/R-cran-urca/Makefile
  head/finance/R-cran-vars/Makefile
  head/ftp/R-cran-RCurl/Makefile
  head/graphics/R-cran-GDD/Makefile
  head/graphics/R-cran-RColorBrewer/Makefile
  head/graphics/R-cran-colorspace/Makefile
  head/graphics/R-cran-diagram/Makefile
  head/graphics/R-cran-dichromat/Makefile
  head/graphics/R-cran-ggplot2/Makefile
  head/graphics/R-cran-munsell/Makefile
  head/graphics/R-cran-pixmap/Makefile
  head/graphics/R-cran-png/Makefile
  head/graphics/R-cran-rgdal/Makefile
  head/graphics/R-cran-rtiff/Makefile
  head/graphics/R-cran-scales/Makefile
  head/graphics/R-cran-shape/Makefile
  head/math/R-cran-ChangeAnomalyDetection/Makefile
  head/math/R-cran-Formula/Makefile
  head/math/R-cran-KFAS/Makefile
  head/math/R-cran-LearnBayes/Makefile
  head/math/R-cran-MCMCpack/Makefile
  head/math/R-cran-RHmm/Makefile
  head/math/R-cran-RSvgDevice/Makefile
  head/math/R-cran-RcppArmadillo/Makefile
  head/math/R-cran-SuppDists/Makefile
  head/math/R-cran-Zelig/Makefile
  head/math/R-cran-bdsmatrix/Makefile
  head/math/R-cran-car/Makefile
  head/math/R-cran-coda/Makefile
  head/math/R-cran-deldir/Makefile
  head/math/R-cran-dlmodeler/Makefile
  head/math/R-cran-forecast/Makefile
  head/math/R-cran-fracdiff/Makefile
  head/math/R-cran-gpclib/Makefile
  head/math/R-cran-gss/Makefile
  head/math/R-cran-gtable/Makefile
  head/math/R-cran-igraph/Makefile
  head/math/R-cran-inline/Makefile
  head/math/R-cran-labeling/Makefile
  head/math/R-cran-memisc/Makefile
  head/math/R-cran-mvtnorm/Makefile
  head/math/R-cran-nnls/Makefile
  head/math/R-cran-outliers/Makefile
  head/math/R-cran-psych/Makefile
  head/math/R-cran-quadprog/Makefile
  head/math/R-cran-sandwich/Makefile
  head/math/R-cran-sm/Makefile
  head/math/R-cran-sp/Makefile
  head/math/R-cran-spdep/Makefile
  head/math/R-cran-sspir/Makefile
  head/math/R-cran-stabledist/Makefile
  head/math/R-cran-xts/Makefile
  head/math/R-cran-zoo/Makefile
  head/net/R-cran-twitteR/Makefile
  head/science/R-cran-AMORE/Makefile
  head/science/R-cran-DCluster/Makefile
  head/science/R-cran-Epi/Makefile
  head/science/R-cran-bayesm/Makefile
  head/science/R-cran-e1071/Makefile
  head/science/R-cran-eco/Makefile
  head/science/R-cran-epicalc/Makefile
  head/science/R-cran-snow/Makefile
  head/science/R-cran-som/Makefile
  head/security/R-cran-ROAuth/Makefile
  head/security/R-cran-digest/Makefile
  head/textproc/R-cran-R2HTML/Makefile
  head/textproc/R-cran-XML/Makefile
  head/textproc/R-cran-stringr/Makefile
  head/textproc/R-cran-xtable/Makefile
  head/www/R-cran-RgoogleMaps/Makefile
  head/www/R-cran-Rpad/Makefile
  head/www/R-cran-httpuv/Makefile
  head/www/R-cran-scrapeR/Makefile
  head/www/R-cran-shiny/Makefile

Copied and modified: head/Mk/Uses/cran.mk (from r337845, head/Mk/bsd.cran.mk)
==============================================================================
--- head/Mk/bsd.cran.mk	Sat Dec 28 10:00:29 2013	(r337845, copy source)
+++ head/Mk/Uses/cran.mk	Sat Dec 28 10:28:40 2013	(r337846)
@@ -1,10 +1,114 @@
-# Date created:		2009-01-25
-# Whom:			Wen Heping <wenheping@gmail.com>
+# $FreeBSD$
+#
+# Use the Comprehensive R Archive Network 
+#
+# MAINTAINER=	wen@FreeBSD.org
 #
+# Feature:	cran
+# Usage:	USES=cran or USES=cran:ARGS
+# Valid ARGS:	auto-plist
+#
+# auto-plist	The pkg-plist can be automatically compiled
+
+.if !defined(_INCLUDE_USES_CRAN_MK)
+_INCLUDE_USES_CRAN_MK=	yes
+
+VALID_ARGS=	auto-plist
+
+MASTER_SITE_CRAN+=	http://ftp.ctex.org/mirrors/CRAN/src/contrib/ \
+			http://cran.rakanu.com/src/contrib/ \
+			http://cran.ms.unimelb.edu.au/src/contrib/ \
+			http://mirror.its.dal.ca/cran/src/contrib/ \
+			http://mirrors.dotsrc.org/cran/src/contrib/ \
+			http://cran.univ-lyon1.fr/src/contrib/ \
+			http://ftp5.gwdg.de/pub/misc/cran/src/contrib/ \
+			http://cran.stat.unipd.it/src/contrib/ \
+			http://cran.md.tsukuba.ac.jp/src/contrib/ \
+			http://mirrors.ibiblio.org/pub/mirrors/CRAN/src/contrib/ \
+			http://cran.cnr.berkeley.edu/src/contrib/
+MASTER_SITE_CRAN_ARCHIVE+=	${MASTER_SITE_CRAN:S,$,Archive/${PORTNAME}/,}
+
+MASTER_SITES?=	${MASTER_SITE_CRAN} ${MASTER_SITE_CRAN_ARCHIVE}
+
+USE_FORTRAN=	yes
+BUILD_DEPENDS+=	${LOCALBASE}/bin/R:${PORTSDIR}/math/R
+RUN_DEPENDS+=	${LOCALBASE}/bin/R:${PORTSDIR}/math/R
+
+PKGNAMEPREFIX?=	R-cran-
+
+R_LIB_DIR=	lib/R/library
+R_MOD_DIR?=	${R_LIB_DIR}/${PORTNAME}
+PLIST_SUB+=	R_MOD_DIR=${R_MOD_DIR}
+WRKSRC?=	${WRKDIR}/${PORTNAME}
+
+NO_BUILD=	yes
+R_COMMAND=	${LOCALBASE}/bin/R
+
+.if !target(regression-test)
+R_POSTCMD_CHECK_OPTIONS?=	--timings
+
+.if !exists(${LOCALBASE}/bin/pdflatex)
+R_POSTCMD_CHECK_OPTIONS+=	--no-manual --no-rebuild-vignettes
+.endif
+
+.if defined(NO_STAGE)
+check-makevars::
+	@${ECHO_MSG} "Makefile error: USE_R_MOD cannot be used with NO_STAGE"
+	@${FALSE}
+.endif
+
+regression-test: build
+	@cd ${WRKDIR} ; ${SETENV} ${MAKE_ENV} _R_CHECK_FORCE_SUGGESTS_=FALSE \
+	${R_COMMAND} ${R_PRECMD_CHECK_OPTIONS} CMD check \
+	${R_POSTCMD_CHECK_OPTIONS} ${PORTNAME}
+.endif
+
+.if !target(do-install)
+R_POSTCMD_INSTALL_OPTIONS+=	-l ${STAGEDIR}${PREFIX}/${R_LIB_DIR}
+.if defined(NOPORTDATA)
+R_POSTCMD_INSTALL_OPTIONS+=	--no-data --no-demo
+.else
+R_POSTCMD_INSTALL_OPTIONS+=	--install-tests
+.endif
+
+.if defined(NOPORTDOCS)
+R_POSTCMD_INSTALL_OPTIONS+=	--no-docs --no-html
+.endif
+
+do-install:
+	@${MKDIR} ${STAGEDIR}${PREFIX}/${R_LIB_DIR}
+	@cd ${WRKDIR} ; ${SETENV} ${MAKE_ENV} ${R_COMMAND} \
+	${R_PRECMD_INSTALL_OPTIONS} CMD INSTALL \
+	${R_POSTCMD_INSTALL_OPTIONS} ${PORTNAME}
+.endif
+
+.if ${cran_ARGS:Mauto-plist}
+.if !target(post-install-script)
+post-install-script:
+	@${FIND} -ds ${STAGEDIR}${PREFIX}/${R_MOD_DIR} \( -type f -or -type l \) -print | \
+		${SED} -E -e 's,^${STAGEDIR}${PREFIX}/?,,' >> ${TMPPLIST}
+	@${FIND} -ds ${STAGEDIR}${PREFIX}/${R_MOD_DIR} -type d -print | ${SED} -E -e \
+		's,^${STAGEDIR}${PREFIX}/?,@dirrm ,' >> ${TMPPLIST}
+.endif
+.endif
+
+.endif #_INCLUDE_USES_CRAN_MK
 # $FreeBSD$
 #
+# Use the Comprehensive R Archive Network 
+#
+# MAINTAINER=	wen@FreeBSD.org
+#
+# Feature:	cran
+# Usage:	USES=cran or USES=cran:ARGS
+# Valid ARGS:	auto-plist
+#
+# auto-plist	The pkg-plist can be automatically compiled
+
+.if !defined(_INCLUDE_USES_CRAN_MK)
+_INCLUDE_USES_CRAN_MK=	yes
 
-CRAN_Include_MAINTAINER=	wen@FreeBSD.org
+VALID_ARGS=	auto-plist
 
 MASTER_SITE_CRAN+=	http://ftp.ctex.org/mirrors/CRAN/src/contrib/ \
 			http://cran.rakanu.com/src/contrib/ \
@@ -73,7 +177,7 @@ do-install:
 	${R_POSTCMD_INSTALL_OPTIONS} ${PORTNAME}
 .endif
 
-.if defined(R_MOD_AUTOPLIST)
+.if ${cran_ARGS:Mauto-plist}
 .if !target(post-install-script)
 post-install-script:
 	@${FIND} -ds ${STAGEDIR}${PREFIX}/${R_MOD_DIR} \( -type f -or -type l \) -print | \
@@ -83,3 +187,4 @@ post-install-script:
 .endif
 .endif
 
+.endif #_INCLUDE_USES_CRAN_MK

Modified: head/Mk/bsd.port.mk
==============================================================================
--- head/Mk/bsd.port.mk	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/Mk/bsd.port.mk	Sat Dec 28 10:28:40 2013	(r337846)
@@ -414,8 +414,6 @@ FreeBSD_MAINTAINER=	portmgr@FreeBSD.org
 #				  Implies inclusion of bsd.python.mk. (Also see
 #				  that file for more information on USE_PYTHON_*
 #				  and USE_PYDISTUTILS).
-# USE_R_MOD	- If set, this port uses the Comprehensive R Archive Network.
-#		  See bsd.cran.mk for more details.
 # USE_RUBY		- If set, this port relies on the Ruby language.
 #				  Implies inclusion of bsd.ruby.mk.  (Also see
 #				  that file for more information on USE_RUBY_*).
@@ -1428,10 +1426,6 @@ PKGCOMPATDIR?=		${LOCALBASE}/lib/compat/
 .include "${PORTSDIR}/Mk/bsd.java.mk"
 .endif
 
-.if defined(USE_R_MOD)
-.include "${PORTSDIR}/Mk/bsd.cran.mk"
-.endif
-
 .if defined(USE_RUBY) || defined(USE_LIBRUBY)
 .include "${PORTSDIR}/Mk/bsd.ruby.mk"
 .endif

Modified: head/astro/R-cran-maptools/Makefile
==============================================================================
--- head/astro/R-cran-maptools/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/astro/R-cran-maptools/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -15,7 +15,6 @@ LICENSE_COMB=	dual
 
 RUN_DEPENDS=	R-cran-sp>=1.0.11:${PORTSDIR}/math/R-cran-sp
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/converters/R-cran-RJSONIO/Makefile
==============================================================================
--- head/converters/R-cran-RJSONIO/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/converters/R-cran-RJSONIO/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	Serialize R objects to JSON, Ja
 
 LICENSE=	BSD
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/converters/R-cran-rjson/Makefile
==============================================================================
--- head/converters/R-cran-rjson/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/converters/R-cran-rjson/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	JSON for R
 
 LICENSE=	GPLv2
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/databases/R-cran-DBI/Makefile
==============================================================================
--- head/databases/R-cran-DBI/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/databases/R-cran-DBI/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -13,7 +13,6 @@ COMMENT=	R Database Interface
 LICENSE=	LGPL20 LGPL21 LGPL3
 LICENSE_COMB=	dual
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/databases/R-cran-RMySQL/Makefile
==============================================================================
--- head/databases/R-cran-RMySQL/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/databases/R-cran-RMySQL/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -15,7 +15,6 @@ LICENSE=	GPLv2
 RUN_DEPENDS=	R-cran-DBI>=0.2.2:${PORTSDIR}/databases/R-cran-DBI
 
 USE_MYSQL=	yes
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/databases/R-cran-RSQLite.extfuns/Makefile
==============================================================================
--- head/databases/R-cran-RSQLite.extfuns/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/databases/R-cran-RSQLite.extfuns/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -15,7 +15,6 @@ LICENSE=	AL2
 BUILD_DEPENDS=	R-cran-RSQLite>=0.11.1:${PORTSDIR}/databases/R-cran-RSQLite
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/databases/R-cran-RSQLite/Makefile
==============================================================================
--- head/databases/R-cran-RSQLite/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/databases/R-cran-RSQLite/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -15,7 +15,6 @@ LICENSE=	LGPL20
 BUILD_DEPENDS=	R-cran-DBI>=0.2.5:${PORTSDIR}/databases/R-cran-DBI
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/databases/R-cran-sqldf/Makefile
==============================================================================
--- head/databases/R-cran-sqldf/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/databases/R-cran-sqldf/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -20,7 +20,6 @@ BUILD_DEPENDS=	R-cran-proto>=0.3.9.2_6:$
 		R-cran-RSQLite.extfuns>=0.0.1:${PORTSDIR}/databases/R-cran-RSQLite.extfuns
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-Defaults/Makefile
==============================================================================
--- head/devel/R-cran-Defaults/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-Defaults/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -13,7 +13,6 @@ COMMENT=	Create Global Function Defaults
 LICENSE=	GPLv2 GPLv3
 LICENSE_COMB=	dual
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-Hmisc/Makefile
==============================================================================
--- head/devel/R-cran-Hmisc/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-Hmisc/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -11,7 +11,6 @@ COMMENT=	Harrell Miscellaneous functions
 
 LICENSE=	GPLv2
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-RUnit/Makefile
==============================================================================
--- head/devel/R-cran-RUnit/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-RUnit/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	R functions implementing a Unit
 
 LICENSE=	GPLv2
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-Rcpp/Makefile
==============================================================================
--- head/devel/R-cran-Rcpp/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-Rcpp/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	Seamless R and C++ Integration
 LICENSE=	GPLv2 GPLv3
 LICENSE_COMB=	dual
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-bitops/Makefile
==============================================================================
--- head/devel/R-cran-bitops/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-bitops/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -13,7 +13,6 @@ COMMENT=	Functions for Bitwise operation
 LICENSE=	GPLv2 GPLv3
 LICENSE_COMB=	dual
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-caTools/Makefile
==============================================================================
--- head/devel/R-cran-caTools/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-caTools/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -13,7 +13,6 @@ LICENSE=	GPLv3
 
 RUN_DEPENDS=	R-cran-bitops>0:${PORTSDIR}/devel/R-cran-bitops
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-caret/Makefile
==============================================================================
--- head/devel/R-cran-caret/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-caret/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -16,7 +16,6 @@ RUN_DEPENDS=	R-cran-reshape2>0:${PORTSDI
 		R-cran-plyr>0:${PORTSDIR}/devel/R-cran-plyr \
 		R-cran-foreach>0:${PORTSDIR}/devel/R-cran-foreach
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-chron/Makefile
==============================================================================
--- head/devel/R-cran-chron/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-chron/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	R package for creating objects 
 
 LICENSE=	GPLv2
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-foreach/Makefile
==============================================================================
--- head/devel/R-cran-foreach/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-foreach/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -14,7 +14,6 @@ LICENSE=	AL2
 
 RUN_DEPENDS=	R-cran-iterators>=1.0.0:${PORTSDIR}/devel/R-cran-iterators
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-gbm/Makefile
==============================================================================
--- head/devel/R-cran-gbm/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-gbm/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -11,7 +11,6 @@ COMMENT=	Extensions to AdaBoost algorith
 
 LICENSE=	GPLv2
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-gdata/Makefile
==============================================================================
--- head/devel/R-cran-gdata/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-gdata/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -14,9 +14,7 @@ LICENSE=	GPLv2
 
 RUN_DEPENDS=	R-cran-gtools>0:${PORTSDIR}/devel/R-cran-gtools
 
-USES=		perl5
+USES=		cran:auto-plist perl5 
 USE_PERL5=	run
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-glmnet/Makefile
==============================================================================
--- head/devel/R-cran-glmnet/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-glmnet/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -11,7 +11,6 @@ COMMENT=	Lasso and elastic-net regulariz
 
 LICENSE=	GPLv2
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-gsubfn/Makefile
==============================================================================
--- head/devel/R-cran-gsubfn/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-gsubfn/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -14,7 +14,6 @@ LICENSE=        GPLv2
 
 RUN_DEPENDS=    R-cran-proto>=0.3.9.2_6:${PORTSDIR}/devel/R-cran-proto
 
-USE_R_MOD=      yes
-R_MOD_AUTOPLIST=        yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-gtools/Makefile
==============================================================================
--- head/devel/R-cran-gtools/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-gtools/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -11,7 +11,6 @@ COMMENT=	Various R programming tools
 
 LICENSE=	LGPL21
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-iterators/Makefile
==============================================================================
--- head/devel/R-cran-iterators/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-iterators/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	Iterator construct for R
 
 LICENSE=	AL2
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-itertools/Makefile
==============================================================================
--- head/devel/R-cran-itertools/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-itertools/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	Iterator Tools for R
 
 RUN_DEPENDS=	R-cran-iterators>=1.0.0:${PORTSDIR}/devel/R-cran-iterators
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-memoise/Makefile
==============================================================================
--- head/devel/R-cran-memoise/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-memoise/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	Memoise functions for R
 
 RUN_DEPENDS=	R-cran-digest>=0:${PORTSDIR}/security/R-cran-digest
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-plyr/Makefile
==============================================================================
--- head/devel/R-cran-plyr/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-plyr/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -13,7 +13,6 @@ COMMENT=	Tools for splitting, applying, 
 RUN_DEPENDS=	R-cran-itertools>0:${PORTSDIR}/devel/R-cran-itertools \
 		R-cran-iterators>0:${PORTSDIR}/devel/R-cran-iterators
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-proto/Makefile
==============================================================================
--- head/devel/R-cran-proto/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-proto/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	Prototype object-based programm
 
 LICENSE=	GPLv2
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-randomForest/Makefile
==============================================================================
--- head/devel/R-cran-randomForest/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-randomForest/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -11,7 +11,6 @@ COMMENT=	Classification based on a fores
 
 RUN_DEPENDS=	R-cran-RColorBrewer>=1.0.5_6:${PORTSDIR}/graphics/R-cran-RColorBrewer
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-reshape/Makefile
==============================================================================
--- head/devel/R-cran-reshape/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-reshape/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -14,7 +14,6 @@ LICENSE=	MIT
 
 RUN_DEPENDS=	R-cran-plyr>0:${PORTSDIR}/devel/R-cran-plyr
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/devel/R-cran-reshape2/Makefile
==============================================================================
--- head/devel/R-cran-reshape2/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/devel/R-cran-reshape2/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -15,7 +15,6 @@ LICENSE=	MIT
 RUN_DEPENDS=	R-cran-plyr>=1.5:${PORTSDIR}/devel/R-cran-plyr \
 		R-cran-stringr>0:${PORTSDIR}/textproc/R-cran-stringr
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/finance/R-cran-PerformanceAnalytics/Makefile
==============================================================================
--- head/finance/R-cran-PerformanceAnalytics/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/finance/R-cran-PerformanceAnalytics/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -15,7 +15,6 @@ LICENSE=	GPLv1
 RUN_DEPENDS=	R-cran-zoo>0:${PORTSDIR}/math/R-cran-zoo \
 		R-cran-xts>=0.8.9:${PORTSDIR}/math/R-cran-xts
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/finance/R-cran-RFinanceYJ/Makefile
==============================================================================
--- head/finance/R-cran-RFinanceYJ/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/finance/R-cran-RFinanceYJ/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -15,7 +15,6 @@ LICENSE=	BSD
 RUN_DEPENDS=	R-cran-XML>0:${PORTSDIR}/textproc/R-cran-XML \
 		R-cran-xts>0:${PORTSDIR}/math/R-cran-xts
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/finance/R-cran-TTR/Makefile
==============================================================================
--- head/finance/R-cran-TTR/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/finance/R-cran-TTR/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -14,7 +14,6 @@ LICENSE=	GPLv2
 
 RUN_DEPENDS=	R-cran-xts>=0.9.3:${PORTSDIR}/math/R-cran-xts
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/finance/R-cran-ccgarch/Makefile
==============================================================================
--- head/finance/R-cran-ccgarch/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/finance/R-cran-ccgarch/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -13,7 +13,6 @@ COMMENT=	Conditional Correlation GARCH m
 LICENSE=	GPLv2 GPLv3
 LICENSE_COMB=	dual
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/finance/R-cran-fBasics/Makefile
==============================================================================
--- head/finance/R-cran-fBasics/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/finance/R-cran-fBasics/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -18,7 +18,6 @@ RUN_DEPENDS=	R-cran-timeDate>0:${PORTSDI
 		R-cran-stabledist>0:${PORTSDIR}/math/R-cran-stabledist \
 		R-cran-gss>0:${PORTSDIR}/math/R-cran-gss
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/finance/R-cran-fGarch/Makefile
==============================================================================
--- head/finance/R-cran-fGarch/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/finance/R-cran-fGarch/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -17,7 +17,6 @@ RUN_DEPENDS=	R-cran-timeDate>0:${PORTSDI
 		R-cran-timeSeries>0:${PORTSDIR}/finance/R-cran-timeSeries \
 		R-cran-fBasics>=2100.78:${PORTSDIR}/finance/R-cran-fBasics
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/finance/R-cran-gmm/Makefile
==============================================================================
--- head/finance/R-cran-gmm/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/finance/R-cran-gmm/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -15,7 +15,6 @@ LICENSE_COMB=	dual
 
 RUN_DEPENDS=	R-cran-sandwich>0:${PORTSDIR}/math/R-cran-sandwich
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/finance/R-cran-lmtest/Makefile
==============================================================================
--- head/finance/R-cran-lmtest/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/finance/R-cran-lmtest/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -16,7 +16,6 @@ RUN_DEPENDS=	R-cran-zoo>=0:${PORTSDIR}/m
 		R-cran-strucchange>0:${PORTSDIR}/finance/R-cran-strucchange \
 		R-cran-sandwich>=2.2.4:${PORTSDIR}/math/R-cran-sandwich
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/finance/R-cran-plm/Makefile
==============================================================================
--- head/finance/R-cran-plm/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/finance/R-cran-plm/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -18,7 +18,6 @@ RUN_DEPENDS=	R-cran-bdsmatrix>0:${PORTSD
 		R-cran-sandwich>0:${PORTSDIR}/math/R-cran-sandwich \
 		R-cran-zoo>0:${PORTSDIR}/math/R-cran-zoo
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/finance/R-cran-quantmod/Makefile
==============================================================================
--- head/finance/R-cran-quantmod/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/finance/R-cran-quantmod/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -17,7 +17,6 @@ RUN_DEPENDS=	R-cran-Defaults>0:${PORTSDI
 		R-cran-zoo>0:${PORTSDIR}/math/R-cran-zoo \
 		R-cran-TTR>=0.2:${PORTSDIR}/finance/R-cran-TTR
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/finance/R-cran-strucchange/Makefile
==============================================================================
--- head/finance/R-cran-strucchange/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/finance/R-cran-strucchange/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -14,7 +14,6 @@ LICENSE=	GPLv2
 RUN_DEPENDS=	R-cran-zoo>0:${PORTSDIR}/math/R-cran-zoo \
 		R-cran-sandwich>0:${PORTSDIR}/math/R-cran-sandwich
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/finance/R-cran-timeDate/Makefile
==============================================================================
--- head/finance/R-cran-timeDate/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/finance/R-cran-timeDate/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -13,7 +13,6 @@ COMMENT=	Chronological and Calendar Obje
 LICENSE=	GPLv2 GPLv3
 LICENSE_COMB=	dual
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/finance/R-cran-timeSeries/Makefile
==============================================================================
--- head/finance/R-cran-timeSeries/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/finance/R-cran-timeSeries/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -15,7 +15,6 @@ LICENSE_COMB=	dual
 
 RUN_DEPENDS=	R-cran-timeDate>=2150.95:${PORTSDIR}/finance/R-cran-timeDate
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/finance/R-cran-tseries/Makefile
==============================================================================
--- head/finance/R-cran-tseries/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/finance/R-cran-tseries/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -18,7 +18,6 @@ BUILD_DEPENDS=	R-cran-quadprog>0:${PORTS
 RUN_DEPENDS=	R-cran-quadprog>0:${PORTSDIR}/math/R-cran-quadprog \
 		R-cran-zoo>0:${PORTSDIR}/math/R-cran-zoo
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/finance/R-cran-urca/Makefile
==============================================================================
--- head/finance/R-cran-urca/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/finance/R-cran-urca/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -13,7 +13,6 @@ COMMENT=	Unit root and cointegration tes
 LICENSE=	GPLv2 GPLv3
 LICENSE_COMB=	dual
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/finance/R-cran-vars/Makefile
==============================================================================
--- head/finance/R-cran-vars/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/finance/R-cran-vars/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -18,7 +18,6 @@ RUN_DEPENDS=	R-cran-strucchange>0:${PORT
 		R-cran-lmtest>=0.9.26:${PORTSDIR}/finance/R-cran-lmtest \
 		R-cran-sandwich>=2.2.4:${PORTSDIR}/math/R-cran-sandwich
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/ftp/R-cran-RCurl/Makefile
==============================================================================
--- head/ftp/R-cran-RCurl/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/ftp/R-cran-RCurl/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -16,7 +16,6 @@ BUILD_DEPENDS=	curl-config:${PORTSDIR}/f
 RUN_DEPENDS=	R-cran-bitops>0:${PORTSDIR}/devel/R-cran-bitops
 LIB_DEPENDS=	curl:${PORTSDIR}/ftp/curl
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/graphics/R-cran-GDD/Makefile
==============================================================================
--- head/graphics/R-cran-GDD/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/graphics/R-cran-GDD/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -17,7 +17,6 @@ RUN_DEPENDS:=	${BUILD_DEPENDS}
 
 WRKSRC=		${WRKDIR}/${PORTNAME}
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/graphics/R-cran-RColorBrewer/Makefile
==============================================================================
--- head/graphics/R-cran-RColorBrewer/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/graphics/R-cran-RColorBrewer/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	ColorBrewer palettes
 
 LICENSE=	AL2
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/graphics/R-cran-colorspace/Makefile
==============================================================================
--- head/graphics/R-cran-colorspace/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/graphics/R-cran-colorspace/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	Color Space Manipulation
 
 LICENSE=	BSD
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/graphics/R-cran-diagram/Makefile
==============================================================================
--- head/graphics/R-cran-diagram/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/graphics/R-cran-diagram/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -15,7 +15,6 @@ LICENSE_COMB=	dual
 
 RUN_DEPENDS=	R-cran-shape>0:${PORTSDIR}/graphics/R-cran-shape
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/graphics/R-cran-dichromat/Makefile
==============================================================================
--- head/graphics/R-cran-dichromat/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/graphics/R-cran-dichromat/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	Color schemes for dichromats
 
 LICENSE=	GPLv2
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/graphics/R-cran-ggplot2/Makefile
==============================================================================
--- head/graphics/R-cran-ggplot2/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/graphics/R-cran-ggplot2/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -18,7 +18,6 @@ RUN_DEPENDS=	R-cran-plyr>=1.7.1:${PORTSD
 		R-cran-scales>=0.2.3:${PORTSDIR}/graphics/R-cran-scales \
 		R-cran-proto>=0:${PORTSDIR}/devel/R-cran-proto
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/graphics/R-cran-munsell/Makefile
==============================================================================
--- head/graphics/R-cran-munsell/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/graphics/R-cran-munsell/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -18,7 +18,6 @@ LICENSE_PERMS_CW=	auto-accept
 
 RUN_DEPENDS=	R-cran-colorspace>0:${PORTSDIR}/graphics/R-cran-colorspace
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/graphics/R-cran-pixmap/Makefile
==============================================================================
--- head/graphics/R-cran-pixmap/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/graphics/R-cran-pixmap/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	Bitmap Images ("Pixel Maps")
 
 LICENSE=	GPLv2
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/graphics/R-cran-png/Makefile
==============================================================================
--- head/graphics/R-cran-png/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/graphics/R-cran-png/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -15,7 +15,6 @@ LICENSE_COMB=	dual
 
 LIB_DEPENDS=	png15:${PORTSDIR}/graphics/png
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/graphics/R-cran-rgdal/Makefile
==============================================================================
--- head/graphics/R-cran-rgdal/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/graphics/R-cran-rgdal/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -16,8 +16,7 @@ LIB_DEPENDS=	gdal:${PORTSDIR}/graphics/g
 		proj:${PORTSDIR}/graphics/proj
 RUN_DEPENDS=	R-cran-sp>=1.0.9:${PORTSDIR}/math/R-cran-sp
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 R_POSTCMD_INSTALL_OPTIONS+=	--configure-args="--with-proj-lib=${LOCALBASE}/lib"
 

Modified: head/graphics/R-cran-rtiff/Makefile
==============================================================================
--- head/graphics/R-cran-rtiff/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/graphics/R-cran-rtiff/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -15,7 +15,6 @@ RUN_DEPENDS=	R-cran-pixmap>0:${PORTSDIR}
 
 LICENSE_FILE=	${WRKSRC}/LICENSE
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/graphics/R-cran-scales/Makefile
==============================================================================
--- head/graphics/R-cran-scales/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/graphics/R-cran-scales/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -18,7 +18,6 @@ RUN_DEPENDS=	R-cran-RColorBrewer>=0:${PO
 		R-cran-plyr>=1.2:${PORTSDIR}/devel/R-cran-plyr \
 		R-cran-labeling>=0:${PORTSDIR}/math/R-cran-labeling
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/graphics/R-cran-shape/Makefile
==============================================================================
--- head/graphics/R-cran-shape/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/graphics/R-cran-shape/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	Functions for plotting graphica
 
 LICENSE=	GPLv3
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/math/R-cran-ChangeAnomalyDetection/Makefile
==============================================================================
--- head/math/R-cran-ChangeAnomalyDetection/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-ChangeAnomalyDetection/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -15,7 +15,6 @@ LICENSE=	BSD
 RUN_DEPENDS=	R-cran-TTR>0:${PORTSDIR}/finance/R-cran-TTR \
 		R-cran-forecast>0:${PORTSDIR}/math/R-cran-forecast
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/math/R-cran-Formula/Makefile
==============================================================================
--- head/math/R-cran-Formula/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-Formula/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	Extended Model Formulas
 
 LICENSE=	GPLv2
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/math/R-cran-KFAS/Makefile
==============================================================================
--- head/math/R-cran-KFAS/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-KFAS/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -13,7 +13,6 @@ COMMENT=	Kalman filter and smoothers for
 LICENSE=	GPLv2 GPLv3
 LICENSE_COMB=	dual
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/math/R-cran-LearnBayes/Makefile
==============================================================================
--- head/math/R-cran-LearnBayes/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-LearnBayes/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -13,7 +13,6 @@ COMMENT=	Functions for Learning Bayesian
 LICENSE=	GPLv2 GPLv3
 LICENSE_COMB=	dual
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/math/R-cran-MCMCpack/Makefile
==============================================================================
--- head/math/R-cran-MCMCpack/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-MCMCpack/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -16,7 +16,6 @@ RUN_DEPENDS=	R-cran-coda>0.11.3:${PORTSD
 
 # Actually required 4.0 or later, but at least 4.2 in the FreeBSD ports tree
 USE_GCC=	4.2+
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/math/R-cran-RHmm/Makefile
==============================================================================
--- head/math/R-cran-RHmm/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-RHmm/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -13,7 +13,6 @@ COMMENT=	Hidden Markov Models simulation
 LICENSE=	GPLv2 GPLv3
 LICENSE_COMB=	dual
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/math/R-cran-RSvgDevice/Makefile
==============================================================================
--- head/math/R-cran-RSvgDevice/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-RSvgDevice/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -13,7 +13,6 @@ COMMENT=	A R SVG graphics device
 LICENSE=	GPLv2 GPLv3
 LICENSE_COMB=	dual
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/math/R-cran-RcppArmadillo/Makefile
==============================================================================
--- head/math/R-cran-RcppArmadillo/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-RcppArmadillo/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -14,7 +14,6 @@ LICENSE_COMB=	dual
 
 RUN_DEPENDS=	R-cran-Rcpp>=0.10.5:${PORTSDIR}/devel/R-cran-Rcpp
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/math/R-cran-SuppDists/Makefile
==============================================================================
--- head/math/R-cran-SuppDists/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-SuppDists/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -17,8 +17,7 @@ COMMENT=	Supplementary distributions and
 LICENSE=		GPLv2
 
 BENCHMARK_SCRIPT=	R-benchmark-25.R
-R_MOD_AUTOPLIST=	yes
-USE_R_MOD=		yes
+USES=	cran:auto-plist
 WRKSRC =		${WRKDIR}/${PORTNAME}
 
 .if defined(MAINTAINER_MODE)

Modified: head/math/R-cran-Zelig/Makefile
==============================================================================
--- head/math/R-cran-Zelig/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-Zelig/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -13,7 +13,6 @@ COMMENT=	Everyone's Statistical Software
 BUILD_DEPENDS=	R-cran-sandwich>=0:${PORTSDIR}/math/R-cran-sandwich
 RUN_DEPENDS=	R-cran-sandwich>=0:${PORTSDIR}/math/R-cran-sandwich
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/math/R-cran-bdsmatrix/Makefile
==============================================================================
--- head/math/R-cran-bdsmatrix/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-bdsmatrix/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	Routines for Block Diagonal Sym
 
 LICENSE=	LGPL20
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/math/R-cran-car/Makefile
==============================================================================
--- head/math/R-cran-car/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-car/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -12,7 +12,6 @@ COMMENT=	Companion to Applied Regression
 
 LICENSE=	GPLv2
 
-USE_R_MOD=		yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/math/R-cran-coda/Makefile
==============================================================================
--- head/math/R-cran-coda/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-coda/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -10,7 +10,6 @@ DISTNAME=	${PORTNAME}_${DISTVERSION}
 MAINTAINER=	wen@FreeBSD.org
 COMMENT=	Output analysis and diagnostics for MCMC
 
-USE_R_MOD=		yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/math/R-cran-deldir/Makefile
==============================================================================
--- head/math/R-cran-deldir/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-deldir/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -13,7 +13,6 @@ COMMENT=	Delaunay Triangulation and Diri
 LICENSE=	GPLv2 GPLv3
 LICENSE_COMB=	dual
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/math/R-cran-dlmodeler/Makefile
==============================================================================
--- head/math/R-cran-dlmodeler/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-dlmodeler/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -13,7 +13,6 @@ COMMENT=	Generalized Dynamic Linear Mode
 LICENSE=	GPLv2 GPLv3 BSD
 LICENSE_COMB=	dual
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/math/R-cran-forecast/Makefile
==============================================================================
--- head/math/R-cran-forecast/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-forecast/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -20,7 +20,6 @@ RUN_DEPENDS=	R-cran-tseries>0:${PORTSDIR
 		R-cran-RcppArmadillo>=0.2.35:${PORTSDIR}/math/R-cran-RcppArmadillo \
 		R-cran-colorspace>0:${PORTSDIR}/graphics/R-cran-colorspace
 
-USE_R_MOD=	yes
-R_MOD_AUTOPLIST=	yes
+USES=	cran:auto-plist
 
 .include <bsd.port.mk>

Modified: head/math/R-cran-fracdiff/Makefile
==============================================================================
--- head/math/R-cran-fracdiff/Makefile	Sat Dec 28 10:00:29 2013	(r337845)
+++ head/math/R-cran-fracdiff/Makefile	Sat Dec 28 10:28:40 2013	(r337846)
@@ -13,7 +13,6 @@ COMMENT=	Fractionally differenced ARIMA 
 LICENSE=	GPLv2 GPLv3

*** DIFF OUTPUT TRUNCATED AT 1000 LINES ***
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 David Naylor freebsd_committer 2013-12-28 10:35:54 UTC
State Changed
From-To: open->closed

Committed in r337846